# Addresses ## List destination addresses `client.emailRouting.addresses.list(AddressListParamsparams, RequestOptionsoptions?): V4PagePaginationArray
` **get** `/accounts/{account_id}/email/routing/addresses` Lists existing destination addresses. ### Parameters - `params: AddressListParams` - `account_id: string` Path param: Identifier. - `direction?: "asc" | "desc"` Query param: Sorts results in an ascending or descending order. - `"asc"` - `"desc"` - `page?: number` Query param: Page number of paginated results. - `per_page?: number` Query param: Maximum number of results per page. - `verified?: true | false` Query param: Filter by verified destination addresses. - `true` - `false` ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const address of client.emailRouting.addresses.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(address.id); } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 1, "total_pages": 100 } } ``` ## Get a destination address `client.emailRouting.addresses.get(stringdestinationAddressIdentifier, AddressGetParamsparams, RequestOptionsoptions?): Address` **get** `/accounts/{account_id}/email/routing/addresses/{destination_address_identifier}` Gets information for a specific destination email already created. ### Parameters - `destinationAddressIdentifier: string` Destination address identifier. - `params: AddressGetParams` - `account_id: string` Identifier. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.get('ea95132c15732412d22c1476fa83f27a', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ``` ## Create a destination address `client.emailRouting.addresses.create(AddressCreateParamsparams, RequestOptionsoptions?): Address` **post** `/accounts/{account_id}/email/routing/addresses` Create a destination address to forward your emails to. Destination addresses need to be verified before they can be used. ### Parameters - `params: AddressCreateParams` - `account_id: string` Path param: Identifier. - `email: string` Body param: The contact email address of the user. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', email: 'user@example.com', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ``` ## Delete destination address `client.emailRouting.addresses.delete(stringdestinationAddressIdentifier, AddressDeleteParamsparams, RequestOptionsoptions?): Address` **delete** `/accounts/{account_id}/email/routing/addresses/{destination_address_identifier}` Deletes a specific destination address. ### Parameters - `destinationAddressIdentifier: string` Destination address identifier. - `params: AddressDeleteParams` - `account_id: string` Identifier. ### Returns - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const address = await client.emailRouting.addresses.delete('ea95132c15732412d22c1476fa83f27a', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(address.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "ea95132c15732412d22c1476fa83f27a", "created": "2014-01-02T02:20:00Z", "email": "user@example.com", "modified": "2014-01-02T02:20:00Z", "tag": "ea95132c15732412d22c1476fa83f27a", "verified": "2014-01-02T02:20:00Z" } } ``` ## Domain Types ### Address - `Address` - `id?: string` Destination address identifier. - `created?: string` The date and time the destination address has been created. - `email?: string` The contact email address of the user. - `modified?: string` The date and time the destination address was last modified. - `tag?: string` Destination address tag. (Deprecated, replaced by destination address identifier) - `verified?: string` The date and time the destination address has been verified. Null means not verified yet.